#!/bin/bash

export Script_Dir="${0%/*}"
export Chronicall_Dir="$Script_Dir"/..
export Chronicall_Pid="chronicallServerPid"
export Temp_Chronicall_Pid="tempChronicallServerPid"

#Shutdown
echo Attempting to stop Chronicall Server
#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Pid"` > "$Script_Dir"/chronicallProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallProcessAliveTest.txt ]
	then
		echo Stopping Chronicall Server \(pid `cat "$Script_Dir"/"$Chronicall_Pid"`\)
		cat "$Script_Dir"/"$Chronicall_Pid" > "$Script_Dir"/"$Temp_Chronicall_Pid"
	else
		echo Chronicall Server is not running
	fi
	rm "$Script_Dir"/"$Chronicall_Pid"
	rm "$Script_Dir"/chronicallProcessAliveTest.txt
else
	echo Chronicall Server is not running
fi

#Startup
#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Pid"` > "$Script_Dir"/chronicallProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallProcessAliveTest.txt ]
	then
		rm "$Script_Dir"/chronicallProcessAliveTest.txt
		echo Chronicall Server is already running
	else
		echo Starting Chronicall Server
		rm "$Script_Dir"/chronicallProcessAliveTest.txt
		ulimit -n 30000
		nohup "$Script_Dir"/ChronicallServer > "$Chronicall_Dir"/tomcat/logs/stdout 2> "$Chronicall_Dir"/tomcat/logs/stderr &
		echo "$!" > "$Script_Dir"/"$Chronicall_Pid"
	fi
else
	echo Starting Chronicall Server
	ulimit -n 30000
	nohup "$Script_Dir"/ChronicallServer > "$Chronicall_Dir"/tomcat/logs/stdout 2> "$Chronicall_Dir"/tomcat/logs/stderr &
	echo "$!" > "$Script_Dir"/"$Chronicall_Pid"
fi

#Have to kill the old process after the first for some reason?
if [ -s "$Script_Dir"/"$Temp_Chronicall_Pid" ]
then
	kill -9 `cat "$Script_Dir"/"$Temp_Chronicall_Pid"`
	rm "$Script_Dir"/"$Temp_Chronicall_Pid"
fi